get_iplayer forums

Full Version: streaming failure
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Problem: can't stream programs through mpv or vlc

Command:

"azed@azed-H270N:~$ get-iplayer --verbose --stream --pid b08r3xh9 | mpv -Playing: -
[file] Reading from stdin...
[cache] Cache is not responding - slow/stuck network connection?
^Z
[1]+ Stopped get-iplayer --verbose --stream --pid b08r3xh9 | mpv -
azed@azed-H270N:~$"

o/p Natural_World_2017-2018_-_4._Natures_Miniature_Miracles_b08r3xh9_original.video.ts-file in home folder. Curiously, mpv can play this file

Further details:

Running 64-bit Ubuntu 16.04.

azed@azed-H270N:~$ uname -a
Linux azed-H270N 4.8.0-51-generic #54~16.04.1-Ubuntu SMP Wed Apr 26 16:00:28 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

get-iplayer version:

azed@azed-H270N:~$ get-iplayer -V
get_iplayer 3.01-ppa30a, Copyright (C) 2008-2010 Phil Lewis

Have installed newer ffmpeg, as directed here:

https://github.com/get-iplayer/get_iplayer/wiki/unixpkg

Thus:

azed@azed-H270N:~$ ffmpeg --version
ffmpeg version 3.3-static http://johnvansickle.com/ffmpeg/ Copyright (c) 2000-2017 the FFmpeg developers

libavutil 55. 58.100 / 55. 58.100
libavcodec 57. 89.100 / 57. 89.100
libavformat 57. 71.100 / 57. 71.100
libavdevice 57. 6.100 / 57. 6.100
libavfilter 6. 82.100 / 6. 82.100
libswscale 4. 6.100 / 4. 6.100
libswresample 2. 7.100 / 2. 7.100
libpostproc 54. 5.100 / 54. 5.100

Do I need newer mpv?

azed@azed-H270N:~$ mpv --version
mpv 0.14.0 (C) 2000-2015 mpv/MPlayer/mplayer2 projects
built on UNKNOWN
ffmpeg library versions:
libavutil 54.31.100
libavcodec 56.60.100
libavformat 56.40.101
libswscale 3.1.101
libavfilter 5.40.101
libswresample 1.2.101
ffmpeg version: 2.8.11-0ubuntu0.16.04.1
As per release notes, which really do answer almost all questions :

--stream option was deprecated in v2.95 and removed in v2.98.

https://github.com/get-iplayer/get_iplay...release295
https://github.com/get-iplayer/get_iplay...release298
Thanks for the reply Brutus14. You are quite correct. From the 2.98 Release Notes:

"Options removed

With the removal of deprecated features, the following options have been removed. An error will be generated if you attempt to use these on the command line. A warning will be printed if any of these are found in saved preferences.

--aactomp3
--avi
.
.
.
--stream
.
.
.
--xml-channels"

I did search the documentation for the "--stream"-option, but didn't find it. Failed to draw the correct conclusion.

I must say, though, that the removal of the streaming function is a bit of a shame; it means that you are forced to use the BBC's player if you want to watch "on demand" progs. I pay my licence fee. I am not creating a permanent download. Where's the harm?